avro

## Class MemberInfo

- java.lang.Object
- - org.apache.avro.specific.SpecificRecordBase
  - - avro.MemberInfo

- All Implemented Interfaces:
    Comparable<SpecificRecord>, GenericContainer, GenericRecord, IndexedRecord, SpecificRecord

      public class MemberInfo
      extends SpecificRecordBase
      implements SpecificRecord

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `MemberInfo.Builder` RecordBuilder for MemberInfo instances.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `Address` | `address` Deprecated.
    `int` | `age` Deprecated.
    `FullName` | `name` Deprecated.
    `static Schema` | `SCHEMA$`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MemberInfo()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `get(int field$)`
    `Address` | `getAddress()` Gets the value of the 'address' field.
    `Integer` | `getAge()` Gets the value of the 'age' field.
    `FullName` | `getName()` Gets the value of the 'name' field.
    `Schema` | `getSchema()`
    `static MemberInfo.Builder` | `newBuilder()` Creates a new MemberInfo RecordBuilder
    `static MemberInfo.Builder` | `newBuilder(MemberInfo.Builder other)` Creates a new MemberInfo RecordBuilder by copying an existing Builder
    `static MemberInfo.Builder` | `newBuilder(MemberInfo other)` Creates a new MemberInfo RecordBuilder by copying an existing MemberInfo instance
    `void` | `put(int field$, Object value$)`
    `void` | `setAddress(Address value)` Sets the value of the 'address' field.
    `void` | `setAge(Integer value)` Sets the value of the 'age' field.
    `void` | `setName(FullName value)` Sets the value of the 'name' field.

    - ### Methods inherited from class org.apache.avro.specific.SpecificRecordBase

      `compareTo, equals, get, hashCode, put, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### SCHEMA$

          public static final Schema SCHEMA$

    - #### name

          @Deprecated
          public FullName name

      Deprecated.

    - #### age

          @Deprecated
          public int age

      Deprecated.

    - #### address

          @Deprecated
          public Address address

      Deprecated.

  - ### Constructor Detail

    - #### MemberInfo

          public MemberInfo()

  - ### Method Detail

    - #### getSchema

          public Schema getSchema()

      Specified by:
        `getSchema` in interface `GenericContainer`
      Specified by:
        `getSchema` in class `SpecificRecordBase`

    - #### get

          public Object get(int field$)

      Specified by:
        `get` in interface `IndexedRecord`
      Specified by:
        `get` in class `SpecificRecordBase`

    - #### put

          public void put(int field$,
                 Object value$)

      Specified by:
        `put` in interface `IndexedRecord`
      Specified by:
        `put` in class `SpecificRecordBase`

    - #### getName

          public FullName getName()

      Gets the value of the 'name' field.

    - #### setName

          public void setName(FullName value)

      Sets the value of the 'name' field.
      Parameters:
        `value` - the value to set.

    - #### getAge

          public Integer getAge()

      Gets the value of the 'age' field.

    - #### setAge

          public void setAge(Integer value)

      Sets the value of the 'age' field.
      Parameters:
        `value` - the value to set.

    - #### getAddress

          public Address getAddress()

      Gets the value of the 'address' field.

    - #### setAddress

          public void setAddress(Address value)

      Sets the value of the 'address' field.
      Parameters:
        `value` - the value to set.

    - #### newBuilder

          public static MemberInfo.Builder newBuilder()

      Creates a new MemberInfo RecordBuilder

    - #### newBuilder

          public static MemberInfo.Builder newBuilder(MemberInfo.Builder other)

      Creates a new MemberInfo RecordBuilder by copying an existing Builder

    - #### newBuilder

          public static MemberInfo.Builder newBuilder(MemberInfo other)

      Creates a new MemberInfo RecordBuilder by copying an existing MemberInfo instance

Copyright (c) 2011, 2014 Oracle and/or its affiliates. All rights reserved.